floating_block 2.0.0-beta1 Drupal 10 deprecation details

Name and release Project type Usage count Top X project by usage Maintainers
floating_block 2.0.0-beta1 Module 598 10000 alexpott, diqidoq, jOksanen
Status Next step Instructions Drupal.org issues
Fix deprecation errors found Run Rector to fix all errors Based on our detection methods, all errors found are covered by drupal-rector automation (thanks to Palantir.net funding), which should be used to speed up resolving them. Check out the Project Update Bot patch in the issue queue. Get the automated fix committed if all tests pass. Drupal 10 compatibility issues
Filter errors
Occurrence in project Sort ascending All occurrences Affected projects Category Error
1 2793 2414 Info.yml or composer.json Value of core_version_requirement: ^8 || ^9 is not compatible with the next major version of Drupal core. See https://drupal.org/node/3070687.
1 909 435 Drupal API, rector covered Call to deprecated function drupal_get_path(). Deprecated in drupal:9.3.0 and is removed from drupal:10.0.0. Use Drupal​\​Core​\​Extension​\​ExtensionPathResolver::getPath() instead.
1 246 77 Drupal API, rector covered Call to deprecated method assertResponse() of class Drupal​\​Tests​\​BrowserTestBase. Deprecated in drupal:8.2.0 and is removed from drupal:10.0.0. Use $this->assertSession()->statusCodeEquals() instead.


Results are from dataset #17830 from 2023-09-03T14:43. Report is ran by the Drupal Association regularly.